#!/usr/bin/env python3

import binascii
import sys
from root.tools.keystore import decrypt_container

if len(sys.argv) == 3:
    path = sys.argv[1]
    if len(sys.argv[2]) == 64:
        data = binascii.unhexlify(sys.argv[2])
    elif len(sys.argv[2]) == 32:
        data = bytes(sys.argv[2],"utf8")
    print("Decrypting %s" % path)
    decrypt_container(path,data)

